import QtQuick 1.0
import Qt.labs.components.native 1.0

Page {
//    width: parent ? parent.width : 360
//    height: parent ? parent.height: 640
    id: imageViewPage

    orientationLock: PageOrientation.LockPortrait

    property alias smallImageUrl: bigImage.smallImageUrl
    property alias expectedWidth: bigImage.expectedWidth
    property alias expectedHeight: bigImage.expectedHeight

    property bool cutCentralPartFromLandscapishImages: false

    // tmp @TODO remove
    property alias bigImage: bigImage

    function largeImageUrl() {
        return bigImage.urlForImageLevel(smallImageUrl, 2)
    }

    ThumbnailImage {
        id: bigImage
        cutCentralPartFromLandscapishImages: imageViewPage.cutCentralPartFromLandscapishImages
        anchors.fill: parent
        wantedDetailLevel: 2

    }

//    tools:
}
