import QtQuick 1.0
import Qt.labs.components.native 1.0

import "HarmattanUiConstants.js" as UIConstants

Rectangle {
    property alias title: titleText.text

    anchors.top: parent.top
    anchors.left: parent.left
    anchors.right: parent.right
//    height: screen.orientation == Screen.Portrait ?
//        UIConstants.HEADER_DEFAULT_HEIGHT_PORTRAIT:
//        UIConstants.HEADER_DEFAULT_HEIGHT_LANDSCAPE
    height: (screen.currentOrientation == Screen.Portrait) || (screen.currentOrientation == Screen.PortraitInverted) ?
        UIConstants.HEADER_DEFAULT_HEIGHT_PORTRAIT:
        UIConstants.HEADER_DEFAULT_HEIGHT_LANDSCAPE
    color: "lightblue"

    Text {
        id: titleText
        anchors.verticalCenter: parent.verticalCenter
        anchors.left: parent.left
        anchors.leftMargin: UIConstants.DEFAULT_MARGIN //platformStyle.paddingLarge
//        anchors.horizontalCenter: parent.horizontalCenter
//        horizontalAlignment: Text.AlignLeft
        text: "Daily wallpaper"
        font.pixelSize: UIConstants.FONT_XLARGE
        font.family: UIConstants.FONT_FAMILY_LIGHT
    }

   onHeightChanged: {
//        console.log("TB: height changed to " + height)
//        console.log("TB: screen.orientation is " + screen.orientation)
   }
}
